<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: gg::Button Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacegg.html">gg</a></li><li class="navelem"><a class="el" href="classgg_1_1Button.html">Button</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classgg_1_1Button-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">gg::Button Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="Button_8hpp_source.html">Button.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for gg::Button:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classgg_1_1Button.png" usemap="#gg::Button_map" alt=""/>
  <map id="gg::Button_map" name="gg::Button_map">
<area href="classgg_1_1SceneNode.html" alt="gg::SceneNode" shape="rect" coords="0,56,129,80"/>
<area href="classgg_1_1IEventSubscriber.html" alt="gg::IEventSubscriber" shape="rect" coords="139,56,268,80"/>
<area href="classgg_1_1ToggleButton.html" alt="gg::ToggleButton" shape="rect" coords="69,168,198,192"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a5cfe8e157b7bfab423fccd38b7ab4089"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Button.html#a5cfe8e157b7bfab423fccd38b7ab4089">Button</a> (const <a class="el" href="classgg_1_1Attributes.html">Attributes</a> &amp;)</td></tr>
<tr class="separator:a5cfe8e157b7bfab423fccd38b7ab4089"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0eab81baecbf9eac6f2dd49fc7a25d59"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Button.html#a0eab81baecbf9eac6f2dd49fc7a25d59">~Button</a> () override</td></tr>
<tr class="separator:a0eab81baecbf9eac6f2dd49fc7a25d59"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6778de448c36135b8b3051cfe5726e2d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Button.html#a6778de448c36135b8b3051cfe5726e2d">SetText</a> (const std::string &amp;)</td></tr>
<tr class="separator:a6778de448c36135b8b3051cfe5726e2d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c3e627ac5a6e4bccd2dc87e48bb0c3e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Button.html#a6c3e627ac5a6e4bccd2dc87e48bb0c3e">SetSize</a> (const float, const float)</td></tr>
<tr class="separator:a6c3e627ac5a6e4bccd2dc87e48bb0c3e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a225157d0c6ff6233d08b119ddfe93a54"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Button.html#a225157d0c6ff6233d08b119ddfe93a54">SetHAlignment</a> (<a class="el" href="namespacegg.html#a8ae82840d9f1b628101cb24cf296c26d">HAlignment</a>)</td></tr>
<tr class="separator:a225157d0c6ff6233d08b119ddfe93a54"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a78d2f6d35c7b197cbb5b4f65d056ee43"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Button.html#a78d2f6d35c7b197cbb5b4f65d056ee43">SetVAlignment</a> (<a class="el" href="namespacegg.html#a590f5e8566d42718b935361a0172b54d">VAlignment</a>)</td></tr>
<tr class="separator:a78d2f6d35c7b197cbb5b4f65d056ee43"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7418e22bdfc99d62041e589563366014"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Button.html#a7418e22bdfc99d62041e589563366014">SetMargins</a> (<a class="el" href="structgg_1_1Margins.html">Margins</a>)</td></tr>
<tr class="separator:a7418e22bdfc99d62041e589563366014"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6cbe63267be0351408f2647887881345"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Button.html#a6cbe63267be0351408f2647887881345">OnEvent</a> (<a class="el" href="classgg_1_1IEvent.html">IEvent</a> *e) override</td></tr>
<tr class="separator:a6cbe63267be0351408f2647887881345"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3de1d96aade557285d6d96f6c7232637"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Button.html#a3de1d96aade557285d6d96f6c7232637">SetState</a> (<a class="el" href="namespacegg.html#a2cacabcdf9a5efbaa4b5e29609049e6b">ButtonState</a>)</td></tr>
<tr class="separator:a3de1d96aade557285d6d96f6c7232637"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classgg_1_1SceneNode"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classgg_1_1SceneNode')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classgg_1_1SceneNode.html">gg::SceneNode</a></td></tr>
<tr class="memitem:a85a355c9072099675bf4a8ca00dc0635 inherit pub_methods_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a85a355c9072099675bf4a8ca00dc0635">SceneNode</a> (const <a class="el" href="classgg_1_1Attributes.html">Attributes</a> &amp;attributes, const bool root=false)</td></tr>
<tr class="separator:a85a355c9072099675bf4a8ca00dc0635 inherit pub_methods_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b386a4b1246cd13a553159420782f39 inherit pub_methods_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a2b386a4b1246cd13a553159420782f39">~SceneNode</a> () override</td></tr>
<tr class="separator:a2b386a4b1246cd13a553159420782f39 inherit pub_methods_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a46fbfc7cb2cd115ecc33a0001b5caa79 inherit pub_methods_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a46fbfc7cb2cd115ecc33a0001b5caa79">SetName</a> (const std::string &amp;)</td></tr>
<tr class="separator:a46fbfc7cb2cd115ecc33a0001b5caa79 inherit pub_methods_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a92215060ea01f924ac43bdc2e02d8495 inherit pub_methods_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a92215060ea01f924ac43bdc2e02d8495">GetName</a> () const -&gt; const std::string &amp;</td></tr>
<tr class="separator:a92215060ea01f924ac43bdc2e02d8495 inherit pub_methods_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3bfaf6ab0f3690bf75e1142fc6b574a9 inherit pub_methods_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a3bfaf6ab0f3690bf75e1142fc6b574a9">SetRoot</a> (bool)</td></tr>
<tr class="separator:a3bfaf6ab0f3690bf75e1142fc6b574a9 inherit pub_methods_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a082408f997345f8d99a05a561425a0de inherit pub_methods_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a082408f997345f8d99a05a561425a0de">IsRoot</a> () const -&gt; const bool</td></tr>
<tr class="separator:a082408f997345f8d99a05a561425a0de inherit pub_methods_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ade1c015b4ad1d134a6ac9b74ea67ac26 inherit pub_methods_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#ade1c015b4ad1d134a6ac9b74ea67ac26">SetParent</a> (<a class="el" href="classgg_1_1SceneNode.html">SceneNode</a> *)</td></tr>
<tr class="separator:ade1c015b4ad1d134a6ac9b74ea67ac26 inherit pub_methods_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0776302fef90cb2f0aabd1f3045c5dd7 inherit pub_methods_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a0776302fef90cb2f0aabd1f3045c5dd7">GetParent</a> () -&gt; <a class="el" href="classgg_1_1SceneNode.html">SceneNode</a> *</td></tr>
<tr class="separator:a0776302fef90cb2f0aabd1f3045c5dd7 inherit pub_methods_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb3579a1294b90d74ae0e9a0f5cc8de1 inherit pub_methods_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#abb3579a1294b90d74ae0e9a0f5cc8de1">SetScene</a> (<a class="el" href="classgg_1_1Scene.html">Scene</a> *)</td></tr>
<tr class="separator:abb3579a1294b90d74ae0e9a0f5cc8de1 inherit pub_methods_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2a8a9bb996c1610f0cf41274bb5e8864 inherit pub_methods_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a2a8a9bb996c1610f0cf41274bb5e8864">GetScene</a> () -&gt; <a class="el" href="classgg_1_1Scene.html">Scene</a> *</td></tr>
<tr class="separator:a2a8a9bb996c1610f0cf41274bb5e8864 inherit pub_methods_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a57cce9f483099d73b21dbfc6c58eafc2 inherit pub_methods_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a57cce9f483099d73b21dbfc6c58eafc2">SetToggleGroup</a> ()</td></tr>
<tr class="separator:a57cce9f483099d73b21dbfc6c58eafc2 inherit pub_methods_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3fddc76f0a1f636a1d4e651c5ac7e647 inherit pub_methods_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a3fddc76f0a1f636a1d4e651c5ac7e647">SetID</a> (const std::string &amp;)</td></tr>
<tr class="separator:a3fddc76f0a1f636a1d4e651c5ac7e647 inherit pub_methods_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adbeb256248e14d3cca859cc769397752 inherit pub_methods_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#adbeb256248e14d3cca859cc769397752">GetID</a> () const -&gt; const std::string &amp;</td></tr>
<tr class="separator:adbeb256248e14d3cca859cc769397752 inherit pub_methods_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab7d26c1d9eca413929a7b46d1975ecca inherit pub_methods_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#ab7d26c1d9eca413929a7b46d1975ecca">SetInsidePosition</a> (const sf::Vector2f &amp;)</td></tr>
<tr class="separator:ab7d26c1d9eca413929a7b46d1975ecca inherit pub_methods_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad20a4313079c8fc88db803db9742bb52 inherit pub_methods_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#ad20a4313079c8fc88db803db9742bb52">SetOutsidePosition</a> (const sf::Vector2f &amp;)</td></tr>
<tr class="separator:ad20a4313079c8fc88db803db9742bb52 inherit pub_methods_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a88a3c48db58215800a8d966716b1e66d inherit pub_methods_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a88a3c48db58215800a8d966716b1e66d">GetInsidePosition</a> () const -&gt; const sf::Vector2f &amp;</td></tr>
<tr class="separator:a88a3c48db58215800a8d966716b1e66d inherit pub_methods_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a58c816db57bb5c6a1e9e42887d07c98c inherit pub_methods_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a58c816db57bb5c6a1e9e42887d07c98c">GetOutsidePosition</a> () const -&gt; const sf::Vector2f &amp;</td></tr>
<tr class="separator:a58c816db57bb5c6a1e9e42887d07c98c inherit pub_methods_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6060165707afd72f5313548cb92ae81e inherit pub_methods_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a6060165707afd72f5313548cb92ae81e">SetInsideSize</a> (const sf::Vector2f &amp;)</td></tr>
<tr class="separator:a6060165707afd72f5313548cb92ae81e inherit pub_methods_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3f597bd0d3cdae19a4abe961cfb92a91 inherit pub_methods_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a3f597bd0d3cdae19a4abe961cfb92a91">SetOutsideSize</a> (const sf::Vector2f &amp;)</td></tr>
<tr class="separator:a3f597bd0d3cdae19a4abe961cfb92a91 inherit pub_methods_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a29308c092ca2dac7260d5b3ad3f58569 inherit pub_methods_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a29308c092ca2dac7260d5b3ad3f58569">GetInsideSize</a> () const -&gt; const sf::Vector2f &amp;</td></tr>
<tr class="separator:a29308c092ca2dac7260d5b3ad3f58569 inherit pub_methods_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a368dbe4cad813f71cd710174c69cb339 inherit pub_methods_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a368dbe4cad813f71cd710174c69cb339">GetOutsideSize</a> () const -&gt; const sf::Vector2f &amp;</td></tr>
<tr class="separator:a368dbe4cad813f71cd710174c69cb339 inherit pub_methods_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a815218ded6a13ff207bfa773027cd07a inherit pub_methods_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a815218ded6a13ff207bfa773027cd07a">AppendChild</a> (<a class="el" href="classgg_1_1SceneNode.html">SceneNode</a> *)</td></tr>
<tr class="separator:a815218ded6a13ff207bfa773027cd07a inherit pub_methods_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a537d14acb0810c7615d8b24541044b29 inherit pub_methods_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a537d14acb0810c7615d8b24541044b29">RemoveChild</a> (<a class="el" href="classgg_1_1SceneNode.html">SceneNode</a> *)</td></tr>
<tr class="separator:a537d14acb0810c7615d8b24541044b29 inherit pub_methods_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4de32c7bf5edd96622c9170bdfe68902 inherit pub_methods_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a4de32c7bf5edd96622c9170bdfe68902">GetChildren</a> () -&gt; std::vector&lt; <a class="el" href="classgg_1_1SceneNode.html">SceneNode</a> * &gt;</td></tr>
<tr class="separator:a4de32c7bf5edd96622c9170bdfe68902 inherit pub_methods_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae8b7c84938aad84a8d2c2d63918be70a inherit pub_methods_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#ae8b7c84938aad84a8d2c2d63918be70a">Update</a> ()</td></tr>
<tr class="separator:ae8b7c84938aad84a8d2c2d63918be70a inherit pub_methods_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe943f9c7fe571d70a1c82a007475e89 inherit pub_methods_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#afe943f9c7fe571d70a1c82a007475e89">Render</a> (sf::RenderTarget &amp;, sf::RenderStates) const</td></tr>
<tr class="separator:afe943f9c7fe571d70a1c82a007475e89 inherit pub_methods_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2db4f25adaf0c8dd50310ac9bfc0bac5 inherit pub_methods_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a2db4f25adaf0c8dd50310ac9bfc0bac5">IsDirty</a> () const -&gt; bool</td></tr>
<tr class="separator:a2db4f25adaf0c8dd50310ac9bfc0bac5 inherit pub_methods_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a035abba4248c4efc94da258fd6d54686 inherit pub_methods_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a035abba4248c4efc94da258fd6d54686">SetDirty</a> ()</td></tr>
<tr class="separator:a035abba4248c4efc94da258fd6d54686 inherit pub_methods_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a380916fcbdc0afb4ae68a66227faec01 inherit pub_methods_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a380916fcbdc0afb4ae68a66227faec01">ResetDirty</a> ()</td></tr>
<tr class="separator:a380916fcbdc0afb4ae68a66227faec01 inherit pub_methods_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0d7aa6562bcf0dbe1fe83d571c61f8fc inherit pub_methods_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a0d7aa6562bcf0dbe1fe83d571c61f8fc">ContainsPoint</a> (const sf::Vector2f &amp;) -&gt; bool</td></tr>
<tr class="separator:a0d7aa6562bcf0dbe1fe83d571c61f8fc inherit pub_methods_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2fa192254c5c1050ad982dc36e9c170f inherit pub_methods_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a2fa192254c5c1050ad982dc36e9c170f">UpdateSize</a> ()</td></tr>
<tr class="separator:a2fa192254c5c1050ad982dc36e9c170f inherit pub_methods_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a83278efad563d0e384b3d18a88f1eee7 inherit pub_methods_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a83278efad563d0e384b3d18a88f1eee7">UpdateAlignment</a> ()</td></tr>
<tr class="separator:a83278efad563d0e384b3d18a88f1eee7 inherit pub_methods_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classgg_1_1IEventSubscriber"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classgg_1_1IEventSubscriber')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classgg_1_1IEventSubscriber.html">gg::IEventSubscriber</a></td></tr>
<tr class="memitem:a08d412b35e08386f265840cd3652c8fc inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#a08d412b35e08386f265840cd3652c8fc">IEventSubscriber</a> ()=default</td></tr>
<tr class="separator:a08d412b35e08386f265840cd3652c8fc inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a574e684bfb29123ae250769873231cd8 inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#a574e684bfb29123ae250769873231cd8">~IEventSubscriber</a> ()=default</td></tr>
<tr class="separator:a574e684bfb29123ae250769873231cd8 inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac8aebcb4316a65f73f794a924e5619ee inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#ac8aebcb4316a65f73f794a924e5619ee">operator==</a> (const <a class="el" href="classgg_1_1IEventSubscriber.html">IEventSubscriber</a> &amp;) -&gt; bool</td></tr>
<tr class="separator:ac8aebcb4316a65f73f794a924e5619ee inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a08c9dd34d285004445b619fe55a064f6 inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#a08c9dd34d285004445b619fe55a064f6">OnEvent</a> (<a class="el" href="classgg_1_1IEvent.html">IEvent</a> *e)</td></tr>
<tr class="separator:a08c9dd34d285004445b619fe55a064f6 inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a961a23b00ee141313a4c8f7a505f3cb8 inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#a961a23b00ee141313a4c8f7a505f3cb8">GetNumberOfSubscribedEvents</a> () const -&gt; size_t</td></tr>
<tr class="separator:a961a23b00ee141313a4c8f7a505f3cb8 inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad78398900f7d14a9594e243e115e7ad0 inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#ad78398900f7d14a9594e243e115e7ad0">IncrementNumberOfSubscribedEvents</a> ()</td></tr>
<tr class="separator:ad78398900f7d14a9594e243e115e7ad0 inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a87ad672a9db8b804deca81b7c4e6723f inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#a87ad672a9db8b804deca81b7c4e6723f">DecrementNumberOfSubscribedEvents</a> ()</td></tr>
<tr class="separator:a87ad672a9db8b804deca81b7c4e6723f inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a44c244803f071939ab0822ec856903db inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#a44c244803f071939ab0822ec856903db">ResetNumberOfSubscribedEvents</a> ()</td></tr>
<tr class="separator:a44c244803f071939ab0822ec856903db inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pro-methods" name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:a8d3d6e097de825c5207703e5a462c80f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Button.html#a8d3d6e097de825c5207703e5a462c80f">ApplyStyle</a> () override</td></tr>
<tr class="separator:a8d3d6e097de825c5207703e5a462c80f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee61a7ff3a5f86198e025130ba4fbfb6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Button.html#aee61a7ff3a5f86198e025130ba4fbfb6">ApplyDesign</a> () override</td></tr>
<tr class="separator:aee61a7ff3a5f86198e025130ba4fbfb6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4b31aef4e750fa85de2a512c2a9110b1"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Button.html#a4b31aef4e750fa85de2a512c2a9110b1">OnMouseMovedEvent</a> (<a class="el" href="classgg_1_1IEvent.html">IEvent</a> *e)</td></tr>
<tr class="separator:a4b31aef4e750fa85de2a512c2a9110b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4c802d824aaa16c8dcc6dc534cbedbee"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Button.html#a4c802d824aaa16c8dcc6dc534cbedbee">OnMousePressedEvent</a> (<a class="el" href="classgg_1_1IEvent.html">IEvent</a> *e)</td></tr>
<tr class="separator:a4c802d824aaa16c8dcc6dc534cbedbee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2f20cc11f07e0305b8b60b6e8fdd76d0"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Button.html#a2f20cc11f07e0305b8b60b6e8fdd76d0">OnMouseReleasedEvent</a> (<a class="el" href="classgg_1_1IEvent.html">IEvent</a> *e)</td></tr>
<tr class="separator:a2f20cc11f07e0305b8b60b6e8fdd76d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa2efba66377728eb9e23a1af16aef1db"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Button.html#aa2efba66377728eb9e23a1af16aef1db">UpdateDesign</a> () override</td></tr>
<tr class="separator:aa2efba66377728eb9e23a1af16aef1db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1cc028bbe1efb4afc967d30839461be3"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Button.html#a1cc028bbe1efb4afc967d30839461be3">SetTextCharacterSize</a> (unsigned int)</td></tr>
<tr class="separator:a1cc028bbe1efb4afc967d30839461be3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2ef61a43b9ac82411abce5c25f05f2e6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Button.html#a2ef61a43b9ac82411abce5c25f05f2e6">SetTextFontName</a> (const std::string &amp;)</td></tr>
<tr class="separator:a2ef61a43b9ac82411abce5c25f05f2e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:accac99f58d2748b890cfdd1c4f0cdf88"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Button.html#accac99f58d2748b890cfdd1c4f0cdf88">draw</a> (sf::RenderTarget &amp;target, sf::RenderStates states) const override</td></tr>
<tr class="separator:accac99f58d2748b890cfdd1c4f0cdf88"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_classgg_1_1SceneNode"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classgg_1_1SceneNode')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classgg_1_1SceneNode.html">gg::SceneNode</a></td></tr>
<tr class="memitem:a4fc688d4d843ccad6534ca8c401f3e2e inherit pro_methods_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a4fc688d4d843ccad6534ca8c401f3e2e">UpdateDesign</a> ()</td></tr>
<tr class="separator:a4fc688d4d843ccad6534ca8c401f3e2e inherit pro_methods_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a694c7abbe5a5d06bed9f7c4e5f5d2986 inherit pro_methods_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a694c7abbe5a5d06bed9f7c4e5f5d2986">UpdateStyle</a> ()</td></tr>
<tr class="separator:a694c7abbe5a5d06bed9f7c4e5f5d2986 inherit pro_methods_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a61b417a1ca6289c8b2114c9f5035b3a9 inherit pro_methods_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a61b417a1ca6289c8b2114c9f5035b3a9">ApplyDesign</a> ()</td></tr>
<tr class="separator:a61b417a1ca6289c8b2114c9f5035b3a9 inherit pro_methods_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a59ce959ea6f6445359a9e4c72da163ef inherit pro_methods_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a59ce959ea6f6445359a9e4c72da163ef">ApplyStyle</a> ()</td></tr>
<tr class="separator:a59ce959ea6f6445359a9e4c72da163ef inherit pro_methods_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pro-attribs" name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:afc82e38a6b7bb8ac3e318afe37a9bcfe"><td class="memItemLeft" align="right" valign="top">sf::Text&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Button.html#afc82e38a6b7bb8ac3e318afe37a9bcfe">mText</a></td></tr>
<tr class="separator:afc82e38a6b7bb8ac3e318afe37a9bcfe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a98df0be7d539f825a1bb7fb2cf29d662"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classgg_1_1RoundedShape.html">RoundedShape</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Button.html#a98df0be7d539f825a1bb7fb2cf29d662">mShape</a></td></tr>
<tr class="separator:a98df0be7d539f825a1bb7fb2cf29d662"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac615212896e942b0305ef9799ee980fd"><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespacegg.html#a2cacabcdf9a5efbaa4b5e29609049e6b">ButtonState</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Button.html#ac615212896e942b0305ef9799ee980fd">mState</a></td></tr>
<tr class="separator:ac615212896e942b0305ef9799ee980fd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_classgg_1_1SceneNode"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_classgg_1_1SceneNode')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="classgg_1_1SceneNode.html">gg::SceneNode</a></td></tr>
<tr class="memitem:a668a995dbb9bd8a6be5d433099ab6af1 inherit pro_attribs_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a668a995dbb9bd8a6be5d433099ab6af1">mName</a> = &quot;&quot;</td></tr>
<tr class="separator:a668a995dbb9bd8a6be5d433099ab6af1 inherit pro_attribs_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad5e5e7e8ac4efd83145012867ce1544a inherit pro_attribs_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#ad5e5e7e8ac4efd83145012867ce1544a">mId</a> = &quot;&quot;</td></tr>
<tr class="separator:ad5e5e7e8ac4efd83145012867ce1544a inherit pro_attribs_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4b8f27aaf7cb98202b7987ee8cdc5cd7 inherit pro_attribs_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a4b8f27aaf7cb98202b7987ee8cdc5cd7">mRoot</a></td></tr>
<tr class="separator:a4b8f27aaf7cb98202b7987ee8cdc5cd7 inherit pro_attribs_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af8d52d7d0aae7eccfe1243a6edaee8a7 inherit pro_attribs_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">sf::Text&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#af8d52d7d0aae7eccfe1243a6edaee8a7">mText</a></td></tr>
<tr class="separator:af8d52d7d0aae7eccfe1243a6edaee8a7 inherit pro_attribs_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5fd91acc7dfee4a78fa6735fbbbdb069 inherit pro_attribs_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">sf::RectangleShape&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a5fd91acc7dfee4a78fa6735fbbbdb069">mBackground</a></td></tr>
<tr class="separator:a5fd91acc7dfee4a78fa6735fbbbdb069 inherit pro_attribs_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a77dbd39b4f780c37222bd987f416d6bd inherit pro_attribs_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">sf::RectangleShape&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a77dbd39b4f780c37222bd987f416d6bd">mInsideArea</a></td></tr>
<tr class="separator:a77dbd39b4f780c37222bd987f416d6bd inherit pro_attribs_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aff8682d270c2b28289bda70793f9b41f inherit pro_attribs_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">sf::RectangleShape&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#aff8682d270c2b28289bda70793f9b41f">mOutsideArea</a></td></tr>
<tr class="separator:aff8682d270c2b28289bda70793f9b41f inherit pro_attribs_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac8186eaf3fb16c6945f4e858f1037f0e inherit pro_attribs_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">sf::Vector2f&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#ac8186eaf3fb16c6945f4e858f1037f0e">mInsidePosition</a></td></tr>
<tr class="separator:ac8186eaf3fb16c6945f4e858f1037f0e inherit pro_attribs_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c0129d2515fcd9ada82b4069c3956c4 inherit pro_attribs_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">sf::Vector2f&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a6c0129d2515fcd9ada82b4069c3956c4">mOutsidePosition</a></td></tr>
<tr class="separator:a6c0129d2515fcd9ada82b4069c3956c4 inherit pro_attribs_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3105d8db96089c8444bc1fa394644398 inherit pro_attribs_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">sf::Vector2f&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a3105d8db96089c8444bc1fa394644398">mInsideSize</a></td></tr>
<tr class="separator:a3105d8db96089c8444bc1fa394644398 inherit pro_attribs_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a352be9f386f6fe02548f0e0ade519b45 inherit pro_attribs_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">sf::Vector2f&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a352be9f386f6fe02548f0e0ade519b45">mOutsideSize</a></td></tr>
<tr class="separator:a352be9f386f6fe02548f0e0ade519b45 inherit pro_attribs_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4592b1592949eea0ec9c9cf4a6afbe70 inherit pro_attribs_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a4592b1592949eea0ec9c9cf4a6afbe70">mPadding</a> = 3.0f</td></tr>
<tr class="separator:a4592b1592949eea0ec9c9cf4a6afbe70 inherit pro_attribs_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a93387c53dd7f5bea4896718fe8f1d853 inherit pro_attribs_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classgg_1_1XMLDocument.html">XMLDocument</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a93387c53dd7f5bea4896718fe8f1d853">mStyle</a></td></tr>
<tr class="separator:a93387c53dd7f5bea4896718fe8f1d853 inherit pro_attribs_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaef957115bc1c6ef4aea8b1782efe618 inherit pro_attribs_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classgg_1_1SceneNode.html">SceneNode</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#aaef957115bc1c6ef4aea8b1782efe618">mParent</a></td></tr>
<tr class="separator:aaef957115bc1c6ef4aea8b1782efe618 inherit pro_attribs_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab4e558e69099c74916257273cf7b9959 inherit pro_attribs_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="classgg_1_1SceneNode.html">SceneNode</a> * &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#ab4e558e69099c74916257273cf7b9959">mChildren</a></td></tr>
<tr class="separator:ab4e558e69099c74916257273cf7b9959 inherit pro_attribs_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0e2482547e62201c6538d96a3d2ea023 inherit pro_attribs_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classgg_1_1Scene.html">Scene</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a0e2482547e62201c6538d96a3d2ea023">mScene</a></td></tr>
<tr class="separator:a0e2482547e62201c6538d96a3d2ea023 inherit pro_attribs_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a02ad61ca009af2383068317d8999e5f0 inherit pro_attribs_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a02ad61ca009af2383068317d8999e5f0">mToggleGroup</a> = &quot;&quot;</td></tr>
<tr class="separator:a02ad61ca009af2383068317d8999e5f0 inherit pro_attribs_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a5cfe8e157b7bfab423fccd38b7ab4089" name="a5cfe8e157b7bfab423fccd38b7ab4089"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5cfe8e157b7bfab423fccd38b7ab4089">&#9670;&nbsp;</a></span>Button()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gg::Button::Button </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classgg_1_1Attributes.html">Attributes</a> &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0eab81baecbf9eac6f2dd49fc7a25d59" name="a0eab81baecbf9eac6f2dd49fc7a25d59"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0eab81baecbf9eac6f2dd49fc7a25d59">&#9670;&nbsp;</a></span>~Button()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">gg::Button::~Button </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="aee61a7ff3a5f86198e025130ba4fbfb6" name="aee61a7ff3a5f86198e025130ba4fbfb6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aee61a7ff3a5f86198e025130ba4fbfb6">&#9670;&nbsp;</a></span>ApplyDesign()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void gg::Button::ApplyDesign </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Reimplemented from <a class="el" href="classgg_1_1SceneNode.html#a61b417a1ca6289c8b2114c9f5035b3a9">gg::SceneNode</a>.</p>

</div>
</div>
<a id="a8d3d6e097de825c5207703e5a462c80f" name="a8d3d6e097de825c5207703e5a462c80f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8d3d6e097de825c5207703e5a462c80f">&#9670;&nbsp;</a></span>ApplyStyle()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void gg::Button::ApplyStyle </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Reimplemented from <a class="el" href="classgg_1_1SceneNode.html#a59ce959ea6f6445359a9e4c72da163ef">gg::SceneNode</a>.</p>

<p>Reimplemented in <a class="el" href="classgg_1_1ToggleButton.html#a1f3d0076845ff1681cca73b3a0945f4a">gg::ToggleButton</a>.</p>

</div>
</div>
<a id="accac99f58d2748b890cfdd1c4f0cdf88" name="accac99f58d2748b890cfdd1c4f0cdf88"></a>
<h2 class="memtitle"><span class="permalink"><a href="#accac99f58d2748b890cfdd1c4f0cdf88">&#9670;&nbsp;</a></span>draw()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void gg::Button::draw </td>
          <td>(</td>
          <td class="paramtype">sf::RenderTarget &amp;&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">sf::RenderStates&#160;</td>
          <td class="paramname"><em>states</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a6cbe63267be0351408f2647887881345" name="a6cbe63267be0351408f2647887881345"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6cbe63267be0351408f2647887881345">&#9670;&nbsp;</a></span>OnEvent()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void gg::Button::OnEvent </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classgg_1_1IEvent.html">IEvent</a> *&#160;</td>
          <td class="paramname"><em>e</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Reimplemented from <a class="el" href="classgg_1_1IEventSubscriber.html#a08c9dd34d285004445b619fe55a064f6">gg::IEventSubscriber</a>.</p>

</div>
</div>
<a id="a4b31aef4e750fa85de2a512c2a9110b1" name="a4b31aef4e750fa85de2a512c2a9110b1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4b31aef4e750fa85de2a512c2a9110b1">&#9670;&nbsp;</a></span>OnMouseMovedEvent()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void gg::Button::OnMouseMovedEvent </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classgg_1_1IEvent.html">IEvent</a> *&#160;</td>
          <td class="paramname"><em>e</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a4c802d824aaa16c8dcc6dc534cbedbee" name="a4c802d824aaa16c8dcc6dc534cbedbee"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4c802d824aaa16c8dcc6dc534cbedbee">&#9670;&nbsp;</a></span>OnMousePressedEvent()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void gg::Button::OnMousePressedEvent </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classgg_1_1IEvent.html">IEvent</a> *&#160;</td>
          <td class="paramname"><em>e</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a2f20cc11f07e0305b8b60b6e8fdd76d0" name="a2f20cc11f07e0305b8b60b6e8fdd76d0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2f20cc11f07e0305b8b60b6e8fdd76d0">&#9670;&nbsp;</a></span>OnMouseReleasedEvent()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void gg::Button::OnMouseReleasedEvent </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classgg_1_1IEvent.html">IEvent</a> *&#160;</td>
          <td class="paramname"><em>e</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Reimplemented in <a class="el" href="classgg_1_1ToggleButton.html#ab7308abe03ac47067cbf7d86715163a0">gg::ToggleButton</a>.</p>

</div>
</div>
<a id="a225157d0c6ff6233d08b119ddfe93a54" name="a225157d0c6ff6233d08b119ddfe93a54"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a225157d0c6ff6233d08b119ddfe93a54">&#9670;&nbsp;</a></span>SetHAlignment()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gg::Button::SetHAlignment </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespacegg.html#a8ae82840d9f1b628101cb24cf296c26d">HAlignment</a>&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a7418e22bdfc99d62041e589563366014" name="a7418e22bdfc99d62041e589563366014"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7418e22bdfc99d62041e589563366014">&#9670;&nbsp;</a></span>SetMargins()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gg::Button::SetMargins </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structgg_1_1Margins.html">Margins</a>&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6c3e627ac5a6e4bccd2dc87e48bb0c3e" name="a6c3e627ac5a6e4bccd2dc87e48bb0c3e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6c3e627ac5a6e4bccd2dc87e48bb0c3e">&#9670;&nbsp;</a></span>SetSize()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gg::Button::SetSize </td>
          <td>(</td>
          <td class="paramtype">const float&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const float&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3de1d96aade557285d6d96f6c7232637" name="a3de1d96aade557285d6d96f6c7232637"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3de1d96aade557285d6d96f6c7232637">&#9670;&nbsp;</a></span>SetState()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gg::Button::SetState </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespacegg.html#a2cacabcdf9a5efbaa4b5e29609049e6b">ButtonState</a>&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6778de448c36135b8b3051cfe5726e2d" name="a6778de448c36135b8b3051cfe5726e2d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6778de448c36135b8b3051cfe5726e2d">&#9670;&nbsp;</a></span>SetText()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gg::Button::SetText </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1cc028bbe1efb4afc967d30839461be3" name="a1cc028bbe1efb4afc967d30839461be3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1cc028bbe1efb4afc967d30839461be3">&#9670;&nbsp;</a></span>SetTextCharacterSize()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void gg::Button::SetTextCharacterSize </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a2ef61a43b9ac82411abce5c25f05f2e6" name="a2ef61a43b9ac82411abce5c25f05f2e6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2ef61a43b9ac82411abce5c25f05f2e6">&#9670;&nbsp;</a></span>SetTextFontName()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void gg::Button::SetTextFontName </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a78d2f6d35c7b197cbb5b4f65d056ee43" name="a78d2f6d35c7b197cbb5b4f65d056ee43"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a78d2f6d35c7b197cbb5b4f65d056ee43">&#9670;&nbsp;</a></span>SetVAlignment()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gg::Button::SetVAlignment </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespacegg.html#a590f5e8566d42718b935361a0172b54d">VAlignment</a>&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa2efba66377728eb9e23a1af16aef1db" name="aa2efba66377728eb9e23a1af16aef1db"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa2efba66377728eb9e23a1af16aef1db">&#9670;&nbsp;</a></span>UpdateDesign()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void gg::Button::UpdateDesign </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Reimplemented from <a class="el" href="classgg_1_1SceneNode.html#a4fc688d4d843ccad6534ca8c401f3e2e">gg::SceneNode</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a98df0be7d539f825a1bb7fb2cf29d662" name="a98df0be7d539f825a1bb7fb2cf29d662"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a98df0be7d539f825a1bb7fb2cf29d662">&#9670;&nbsp;</a></span>mShape</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classgg_1_1RoundedShape.html">RoundedShape</a> gg::Button::mShape</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ac615212896e942b0305ef9799ee980fd" name="ac615212896e942b0305ef9799ee980fd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac615212896e942b0305ef9799ee980fd">&#9670;&nbsp;</a></span>mState</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespacegg.html#a2cacabcdf9a5efbaa4b5e29609049e6b">ButtonState</a> gg::Button::mState</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="afc82e38a6b7bb8ac3e318afe37a9bcfe" name="afc82e38a6b7bb8ac3e318afe37a9bcfe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afc82e38a6b7bb8ac3e318afe37a9bcfe">&#9670;&nbsp;</a></span>mText</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">sf::Text gg::Button::mText</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>include/gui/<a class="el" href="Button_8hpp_source.html">Button.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
